PETSc version 3.15.5
Fix/Edit manual page

# PetscDualSpaceGetPointSubspace

Get the subset of the dual space basis that is supported on a particular mesh point.

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceGetPointSubspace(PetscDualSpace sp, PetscInt point, PetscDualSpace *bdsp)

If the dual space is not defined on the mesh point (e.g. if the space is discontinuous and pointwise values are not defined on the element boundaries), or if the implementation of PetscDualSpace does not support extracting subspaces, then NULL is returned.

This does not increment the reference count on the returned dual space, and the user should not destroy it.

Not collective

### Input Parameters

| sp | - the PetscDualSpace object
| point | - the point (in the dual space's DM) for which the subspace is desired

### Output Parameters

bdsp - the subspace. Note that the functionals in the subspace are with respect to the intrinsic geometry of the point, which will be of lesser dimension if height > 0.

### See Also

PetscDualSpace

### Level

advanced

### Location

src/dm/dt/dualspace/interface/dualspace.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages